#"Climate change" OR "Global warming" or "Climate warming"
#
#		    Ecology       Apps		Monog
#1986-1990  1   1098                2    101			
#1991-1995  23  1133    31   365    4    96
#1996-2000  45  1264    69   667    9    119
#2001-2005  84  1623    56   803    8    151
#2006-2010  208 1800    116  964    38   164  

eco.all=c(1098,1113,1264,1623,1800); 
apps.all=c(NA,365,667,803,964);
monog.all=c(101,96,119,151,164);

eco.w = c(1,23,45,84,208); 
apps.w = c(NA,31,69,56,116);
monog.w = c(1,4,9,8,38); 
yrs=c(1990,1995,2000,2005,2010); 

graphics.off(); 
dev.new(width=8,height=4); 
par(cex.axis=1.3,cex.lab=1.4,mgp=c(2.5,1,0),mar=c(4,4,1,1)); 
py=100*(eco.w+monog.w)/(eco.all+monog.all)
plot(yrs,py,type="o",lty=1,lwd=2,col="blue",pch=16,
xlab="Census period", ylab="Relative Abundance",cex=2);

dev.new(width=8,height=5); 
par(cex.axis=1.3,cex.lab=1.4,mgp=c(2.5,1,0),mar=c(4,4,1,1)); 
py=100*(eco.w+monog.w)/(eco.all+monog.all)
plot(yrs,py,type="o",lty=1,lwd=2,col="black",pch=16,
xlab="Census period", ylab="Relative Abundance",cex=2,xlim=c(1990,2040),ylim=c(0,100));

py1=py[-1]; y1=yrs[-1]
fit=lm(log(py1)~y1); 
pyhat=predict(fit,data.frame(y1=seq(2015,2050,by=5))); 
points(seq(2015,2050,by=5),exp(pyhat),type="p",lty=2,pch=1,col="black",cex=2,lwd=2); 
pyhat=predict(fit,data.frame(y1=seq(2010,2050,by=5))); 
points(seq(2010,2050,by=5),exp(pyhat),type="l",lty=2,lwd=2,col="black"); 

rvals=diff(log(py[-1])); 
Pgro=matrix(NA,8,25000);
for(j in 1:25000) {
	Pgro[,j]=sample(rvals,8,replace=TRUE); 
}
Pgro=exp(apply(Pgro,2,cumsum));
Pgro=py[5]*Pgro;  

out=apply(Pgro,1,function(x) quantile(x,c(0.05,0.95))); 
fyrs=seq(2015,2050,by=5);
points(fyrs,out[1,],type="l",lty=2,pch=1,lwd=2,col="grey25"); 
points(fyrs,out[2,],type="l",lty=2,pch=1,lwd=2,col="grey25"); 

	