require(deSolve); require(pracma); 
if(!exists("quartz")) {quartz <- dev.new}

source("NoEvoModel=functions.R"); 

panelLabel=function(text) mtext(text,side=3,adj=0,cex=1.5,line=0.5); 

################ even better! 
delta=0.25; Iflag=0.001; 
kA=0.15; kR=0.25; 
r=.7; g=.7; 
eta=1.5; h=7; 
## type-II coefficients for z; when these are zero it becomes type-I. 
## Their inverse is the half-saturation constant. 
aA = 2; aF = 1; 

graphics.off(); dev.new(height=6,width=6);
par(mar=c(4,5,2,2),mfrow=c(2,1),mgp=c(2.5,1,0),xpd=TRUE,cex.axis=1.3,cex.lab=1.3,yaxs="i"); 

m.out=Dynamics.plot(delta=delta,scalepops=TRUE); 
panelLabel("(b)"); 

phaselag(m.out[,"x"],m.out[,"y"]);
phaselag(m.out[,"x"],m.out[,"z"]);

require(locpol); 
X123=read.csv("NoEvoData.csv"); 

# Replicate 1 is orange 
X=cbind(X123$day,X123$Algae.orange1,X123$Flag.orange1,X123$Rot.orange1);
X=data.frame(X); colnames(X)<-c("day","algae","flagellates","rotifers"); 
X=X[X$day>=41,]; X=X[X$day< 108,]; rownames(X)<-NULL; 

	adjust=1; 
	#smoothed algae
	acv=adjust*pluginBw(X$day,sqrt(X$algae),deg=3,kernel=gaussK); 
	fita=locpol(sqrt(algae)~day,data=X,deg=3,bw=acv,kernel=gaussK,xevalLen=1500);
	pxa=fita$xeval; pya=fitted(fita)^2; maxa=max(pya); 
	
	#smoothed flagellates
	fcv=adjust*pluginBw(X$day,sqrt(X$flagellates),deg=3,kernel=gaussK); 
	fitf=locpol(sqrt(flagellates)~day,data=X,deg=3,bw=fcv,kernel=gaussK,xevalLen=1500);
	pxf=fitf$xeval; pyf=fitted(fitf)^2; maxf=max(pyf); 
	
	#smoothed rotifers
	rcv=adjust*pluginBw(X$day,sqrt(X$rotifers),deg=3,kernel=gaussK); 
	fitr=locpol(sqrt(rotifers)~day,data=X,deg=3,bw=rcv,kernel=gaussK,xevalLen=1500);
	pxr=fitr$xeval; pyr=fitted(fitr)^2;  maxr=max(pyr);
	
	Xs=X; Xs[,2:4]=scale(Xs[,2:4],center=FALSE,scale=c(maxa,maxf,maxr)); 
	
	matplot(Xs$day,Xs[,2:4],type="p",lty=1,col=c("green4","purple","red"),
		pch=c(1,17,16),lwd=2,bty="l",cex=1.35,xlab="Time (days)",ylab="Scaled populations"); 
	matpoints(pxa,cbind(pya/maxa,pyf/maxf,pyr/maxr),type="l",lty=1,lwd=2,
		cex=1.5,col=c("green4","purple","red")); 
	panelLabel("(c)"); 
